Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector Class Reference

Data collector listing SPI cache calls. More...

Inheritance diagram for eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector:

## Public Member Functions
| __construct (PersistenceLogger $logger)
| collect (Request $request, Response $response, \Exception $exception=null)
| getName ()
| getCount ()
| Returns call count. More...
| getStats ()
| Returns stats on Persistance cache usage. More...
| getCallsLoggingEnabled ()
| Returns flag to indicate if logging of calls is enabled or not. More...
| getCalls ()
| Returns all calls. More...
| getHandlers ()
| Returns un cached handlers being loaded. More...
| getHandlersCount ()
| Returns un cached handlers being loaded. More...

## Private Attributes
| $logger

## Detailed Description

Data collector listing SPI cache calls.

Definition at line 17 of file PersistenceCacheCollector.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::__construct | ( | PersistenceLogger | $logger | ) |

Definition at line 22 of file PersistenceCacheCollector.php.

References eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector\$logger.

## Member Function Documentation

## ◆ collect()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::collect | ( | Request | $request,
|  | Response | $response,
|  | \Exception | $exception = `null`
| ) |  |

Definition at line 27 of file PersistenceCacheCollector.php.

## ◆ getCalls()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getCalls | ( |  | ) |

Returns all calls.

Returns
  array

Definition at line 83 of file PersistenceCacheCollector.php.

## ◆ getCallsLoggingEnabled()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getCallsLoggingEnabled | ( |  | ) |

Returns flag to indicate if logging of calls is enabled or not.

Typically not enabled in prod.

Returns
  bool

Definition at line 73 of file PersistenceCacheCollector.php.

## ◆ getCount()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getCount | ( |  | ) |

Returns call count.

Deprecated:
  since 7.5, use getStats().

Returns
  int

Definition at line 49 of file PersistenceCacheCollector.php.

## ◆ getHandlers()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getHandlers | ( |  | ) |

Returns un cached handlers being loaded.

Returns
  array

Definition at line 124 of file PersistenceCacheCollector.php.

## ◆ getHandlersCount()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getHandlersCount | ( |  | ) |

Returns un cached handlers being loaded.

Returns
  array

Definition at line 141 of file PersistenceCacheCollector.php.

## ◆ getName()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getName | ( |  | ) |

Definition at line 37 of file PersistenceCacheCollector.php.

## ◆ getStats()

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::getStats | ( |  | ) |

Returns stats on Persistance cache usage.

Since
  7.5

Returns
  int[<string>]

Definition at line 61 of file PersistenceCacheCollector.php.

## Member Data Documentation

## ◆ $logger

eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector::$logger
| private

Definition at line 20 of file PersistenceCacheCollector.php.

Referenced by eZ\Bundle\EzPublishDebugBundle\Collector\PersistenceCacheCollector\__construct().

The documentation for this class was generated from the following file:

- PersistenceCacheCollector.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.